Skip to main content
DELETE
/
cloudflare_connections
/
{id}
Delete Cloudflare credential
curl --request DELETE \
  --url https://api.akua.dev/v1/cloudflare_connections/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": false,
  "errors": [
    {
      "code": 7002,
      "message": "Resource not found",
      "path": [
        "body",
        "name"
      ],
      "metadata": {}
    }
  ],
  "result": {}
}

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required

Cloudflare connection ID. Prefixed form cfcon_<id> is canonical.

Required string length: 1 - 56
Example:

"cfcon_j572abc123def456"

Response

Credential deleted